For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of vault entries for a database
          • POSTAdd a vault entry to a database
          • DELDeletes the vault entry
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformVault

Add a vault entry to a database

POST
https://meta.feedonomics.com/api.php/dbs/:db_id/vault
POST
/api.php/dbs/:db_id/vault
$curl -X POST https://meta.feedonomics.com/api.php/dbs/1/vault \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Facebook Credentials",
> "expiration": "2022-12-25",
> "credentials_type": "none",
> "credentials": "json object"
>}'
200Vault_addAVaultEntryToADatabase_example
1{
2 "success": true,
3 "message": "SUCCESS",
4 "data": {
5 "updated": 1,
6 "new_row_id": 474
7 }
8}
Was this page helpful?
Previous

Retrieves a list of vault entries for a database

Next

Deletes the vault entry

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database

Headers

x-api-keystringRequired

Request

The vault parameters
namestringRequired
The name of the vault entry
expirationstringRequired

Date when the entry should expire (YYY-MM-DD)

credentials_typeenumRequired

The type of credentials to be stored (Use ‘none’ for free-form JSON)

Allowed values:
credentialsstringRequired
Free Form JSON string of credentials

Response headers

Content-Typestring

Response

successful operation
successboolean
messagestring
dataobject